POST
/order/202606/pod_details/search
Search for POD customization details for the specified order lines.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
main_order_id
required
TikTok Shop order ID.
string
query_order_lines
required
The order lines for which to retrieve POD customization details.
Array<object>
object
order_line_id
required
The unique identifier of the order line item.
string
product_id
required
The unique identifier of the product.
string
sku_id
required
The unique identifier of the sku.
string
pod_order_data_id
required
The unique identifier of the pod data.
string
Example
{ "main_order_id": "577449529742299260", "query_order_lines": [ { "order_line_id": "577449529742430332", "product_id": "1732453831920750867", "sku_id": "1732453830297817363", "pod_order_data_id": "122343" } ]}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
pod_details
POD customization details for the requested order lines.
Array<object>
object
order_line_id
The unique identifier of the order line associated with the POD customization details.
string
pod_detail
The unique identifier of the order line item.
string
status_code
The status code for the POD customization details query.
integer format: int64
Example
{ "code": 0, "data": { "pod_details": [ { "order_line_id": "577457287176491132", "pod_detail": "pod_info_json" } ], "status_code": 0 }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}